> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# News Article Detail



## OpenAPI

````yaml openapi.json GET /gateway/v1/news/detail
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/news/detail:
    get:
      tags:
        - News
      summary: News Article Detail
      description: >-
        Returns the full content of a single news article by its ID (returned as
        `id` in feed and search results).
      operationId: news-detail
      parameters:
        - description: Article ID (returned as id in feed/search results)
          explode: false
          in: query
          name: id
          required: true
          schema:
            description: Article ID (returned as id in feed/search results)
            examples:
              - abc123
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataObjectResponseNewsArticleDetailItem'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    DataObjectResponseNewsArticleDetailItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://example.com/schemas/DataObjectResponseNewsArticleDetailItem.json
          format: uri
          readOnly: true
          type: string
        data:
          $ref: '#/components/schemas/NewsArticleDetailItem'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    NewsArticleDetailItem:
      additionalProperties: false
      properties:
        content:
          description: Full article body text
          type: string
        id:
          description: Article ID
          type: string
        project_id:
          description: Surf project UUID
          type: string
        project_name:
          description: Primary crypto project referenced in the article
          type: string
        published_at:
          description: Unix timestamp in seconds when the article was published
          format: int64
          type: integer
        source:
          description: Publisher name
          type: string
        summary:
          description: Short summary of the article
          type: string
        title:
          description: Article headline
          type: string
        url:
          description: Direct URL to the original article
          type: string
      required:
        - id
        - title
        - content
        - published_at
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````